Page MenuHomePhabricator

Patch zuul to remove /p/ from /info/refs call
Closed, ResolvedPublic

Description

We need to remove /p/ from https://github.com/openstack-infra/zuul/blob/2.6.0/zuul/connection/gerrit.py#L411 seeing as in gerrit 2.16 /p/<project>/info/refs breaks but it works when removing /p/ from the url.

Related Objects

StatusAssignedTask
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
OpenNone
OpenNone
ResolvedPaladox
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenPaladox
ResolvedPaladox
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedPaladox
ResolvedPaladox
Resolvedhashar

Event Timeline

Paladox created this task.Jan 27 2019, 11:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2019, 11:21 PM
Paladox assigned this task to hashar.Feb 15 2019, 7:19 PM
Paladox triaged this task as Normal priority.

Assigning to @hashar as he needs to do the zuul upgrade.

Change 491641 had a related patch set uploaded (by Paladox; owner: Paladox):
[integration/zuul@debian/jessie-wikimedia] Remove /p/ from /info/refs call

https://gerrit.wikimedia.org/r/491641

Change 501201 had a related patch set uploaded (by Hashar; owner: Paladox):
[integration/zuul@patch-queue/debian/jessie-wikimedia] Remove /p/ from /info/refs call

https://gerrit.wikimedia.org/r/501201

Change 491641 abandoned by Hashar:
Remove /p/ from /info/refs call

Reason:
I manage all the patches in the git branch patch-queue/debian/jessie-wikimedia then use git buildpackage to export them to debian/jessie-wikimedia as files in debian/patches/ :)

Anyway thank you. I have moved it with https://gerrit.wikimedia.org/r/#/c/integration/zuul/ /501201/

https://gerrit.wikimedia.org/r/491641

Change 501201 merged by Hashar:
[integration/zuul@patch-queue/debian/jessie-wikimedia] Remove /p/ from /info/refs call

https://gerrit.wikimedia.org/r/501201

Change 501325 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/zuul@debian/jessie-wikimedia] 2.5.1-wmf6: bugfix and Gerrit 2.16 support

https://gerrit.wikimedia.org/r/501325

hashar reassigned this task from hashar to Paladox.Apr 4 2019, 2:13 PM
hashar added a project: Upstream.

Would be nice to upstream the fix :]

Change 501325 merged by jenkins-bot:
[integration/zuul@debian/jessie-wikimedia] 2.5.1-wmf6: bugfix and Gerrit 2.16 support

https://gerrit.wikimedia.org/r/501325

hashar closed this task as Resolved.EditedApr 8 2019, 12:27 PM

I have upgraded Zuul to 2.5.1-wmf6 (T208426).